//
//	Librairie by The Rubik's Man
//		  2005-2006
//
/*==================================================================================================================*/
/*==================================================================================================================*/
/*===>					--------------------------------------------------------------------------					         <====*/
/*===>					|	Librairie AutoCompletion par The Rubik's Man	 |					         <====*/
/*===>					--------------------------------------------------------------------------					         <====*/
/*===>																			         <====*/
/*===>   -- Basee  sur les librairies open source < prototype et effects >									         <====*/
/*===>																			         <====*/
/*===>   -- Entierement parametrable et configurable												         <====*/
/*===>   -- Choix parmis plusieurs effets d'ouverture et de fermeture									         <====*/
/*===>   -- Choix d'utiliser Ajax ou meme seulement un tableau de possibilites pour le mode Local					         <====*/
/*===>   -- Possibilite d'affecter par une option sa propre fonction lors d'une validation d'un choix					         <====*/
/*===>   -- Possibilite d'affecter des fonctions executees a la reception d'un entree clavier et a la fin de l'affichage		         <====*/
/*===>																			         <====*/
/*===>																			         <====*/
/*===>   -- La mise en place d'une ou plusieurs autocompltions dans une page html est d'une simplicite enfantile			         <====*/
/*===>																			         <====*/
/*===>	Remarques Importante :															         <====*/
/*===>		Ce fichier doit etre inclut dans la balise <HEAD>										         <====*/
/*===>		Pas besoin d'inclure dans la balise <HEAD> les librairies requises ce fichier s'en charge         	         		         <====*/
/*===>		Les librairies requises doivent se trouver dans le repertoire "/required/" a partir du repertoire de ce fichier     <====*/
/*===>																			         <====*/
/*===>							           The Rubik's Man 								         <====*/
/*==================================================================================================================*/
/*==================================================================================================================*/
var AutoCompletion = {
		Author: 'The Rubik\'s Man',
		
		Version: '1.0',
		
		Libraries: ['prototype', 'effects', 'autoCompleteur_lib'],
		
		include: function (library) {
			document.write('<script type="text/javascript" src="'+this.basePath+'required/'+library+'"></script>');
		},
		
		loader: function () {
			for(var i=0;i<this.Libraries.length;i++) this.include(this.Libraries[i]+'.js');
		},
		
		librariesController: function () {
			if  (typeof Prototype == 'undefined') {
				alert('Librairie " prototype " introuvable dans le dossier " '+this.basePath+'required/" ');
				return false;
			}
			else if ((parseFloat(Prototype.Version.split(".")[0]+"."+Prototype.Version.split(".")[1])<1.4)) {
				alert('La version '+Prototype.Version+' de la librairie " prototype " est trop ancienne ( version minimum : 1.4 )');
				return false;
			}
			
			if (typeof Effect == 'undefined') {
				alert('Librairie " effects " introuvable dans le dossier " '+this.basePath+'required/" ');
				return false;
			}
			
			return true;
		},
		
		starter: function () {
			var Scripts = document.getElementsByTagName('script');
			for(var i=0;i<Scripts.length;i++) {
				if ( Scripts[i].getAttribute('src') && Scripts[i].getAttribute('src').match(/autoCompleteur.js/) ) {
					this.basePath = Scripts[i].getAttribute('src').replace(/autoCompleteur.js/,'');
					break;
				}
			}
			this.loader();
		}
}
AutoCompletion.starter();

//
//	Librairie by The Rubik's Man
//		  2005-2006
//