<!-- 
	Lister les anciens par promo
	auteur : Marianne Joseph-Gehannin & Sophie Poulhazan
--!>

<?php

	//Création d'un nouvel objet PDO
	$dbh = new PDO('sqlite:/home/www-test/w_data/sqlite/bagadi.db');

	//requete qui permet de selectionner tous les anciens en fonction de la promo choisie
	$req = "SELECT DISTINCT login,nom,prenom,mailPerso,onSite FROM Ancien WHERE promo=1990;";
	$res = $dbh->query($req);

	echo'<br/><fieldset><legend>Promo 1990</legend>';
	
	//affichage de la liste des anciens de la promo choisie
	echo '<table>
			<tr>
   				<th>Nom</th>
   			   	<th>Pr&eacute;nom</th>
      			<th>Fili&egrave;re</th>
      			<th>Email</th></tr>';
				
				//traitement du resultat de la requete en associant la colonne obtenue a son nom
				while($row = $res->fetch(PDO::FETCH_ASSOC)){
					
					//requete qui permet de selectionner le diplome de l'ancien
					$req2 = 'SELECT diplome FROM AncienDiplome WHERE ancienad="'.$row['login'].'";';
					
					//execution de la requete
					$result2 = $dbh->query($req2);
					$dip="";
					
					//traitement du resultat
					while ($row2 = $result2->fetch(PDO::FETCH_NUM)){
						
						//requete qui permet de selectionner le diplome en fonction de son id
						$req3 = 'SELECT nom FROM DiplomeDansIUT WHERE idDiplomeDansIUT='.$row2[0].';';
						
						//execution de la requete
						$result3 = $dbh->query($req3);
						
						//traitement du resultat
						$row3 = $result3->fetch(PDO::FETCH_NUM);
						$dip .= $row3[0]." ";
					}
					
					echo '<tr>
							<td>'.$row['nom'].'</td>
							<td>'.$row['prenom'].'</td>
			      			<td id="stage">'.$dip.'</td>';
					
					//si l'ancien accepte que son adresse email apparaisse sur le site
					if ($row['onSite'] == 1){
						echo'<td>'.$row['mailPerso'].'</td>';
					} else {
						echo'<td></td>';
					}
					
					echo'</tr>';
				}
				
	echo '</table>';
	
	echo'</fieldset><br/>';

	//destruction de l'objet PDO
	$dbh=null;
?>


