<?php
/** 
	Traitement de la recherche dynamique en Ajax
	auteur :  rubiks10 http://www.javascriptfr.com/auteur/RUBIKS10/649381.aspx
	modifie par : Marianne JOSEPH
*/
?>

﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>Rechercher une entreprise permettant de visualiser la fiche</title>
		<script type="text/javascript">

		</script>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<!-- Acces CSS -->
		<link rel="stylesheet" type="text/css" href="/exe//AfficherEntreprise/css/recherche.css" /> 
		<!-- Acces Javascript -->
		<script src="/js//ajax/autoCompletion_module/autoCompleteur.js" type="text/javascript"></script>

		
	</head>
	<body>
		<br />
		<fieldset><legend>
			Rechercher une entreprise permettant de visualiser la fiche
		</legend>
				
		<label>
		<!-- Permet la recherche d'une entreprise via une liste qui s'affiche -->
		<input type="text" name="rech" id="rech" />
		<div id="rech_update" class="rech_class"></div>
		</label>
		<!-- Javascript permettant la recherche en Ajax -->
		<script type="text/javascript">
			new AutoCompleteur('rech', 'rech_update', '/exe//AfficherEntreprise/traitement_php/rechEntbdd.php', {
				Global: {
					nbrMaxItem: 25, //Une liste de 20 items maximum
					nbrCharsStart: 2, //La recherche ne démarre qu'au bout de 2 caractères
					classToIgnore: ' '
				},
				Ajax: {
					paramName: 'rech'
				},
				Extra: {
				afterValidate: function (element,updateElement,elementValide,text) {
					if (!elementValide) window.location.href = '?search='+element.value;
					else {	
						req= new XMLHttpRequest();
						req.onreadystatechange=function()
						{
							if(req.readyState == 4 && req.status == 200) {
								document.getElementById("ajout").innerHTML=req.responseText;//Ecriture de la requete dans la div ajout
							}
						}
						req.open("POST","/exe//AfficherEntreprise/Rechercher_Entreprise.php"); //Ouvrir la page avec des donnees en POST
						req.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
						ele = elementValide.id.split('_')[1]; // Element selectionne
						req.send("idEntreprise="+ele); //Envoyer les informations en POST
					}
				},
				openEffect: 'blind',
				hideEffect: 'slide'
				}
			});
		</script><br/>
		Inscrire les 2 premiers caractères de l'entreprise recherchée<br/>
		</fieldset>
		<!-- La div ou s affichera la reponse de la recherche ajax-->
		<div id="ajout"></div>
	</body>
</html>
