<?php 
/** 
	Traitement du formulaire d'ajout d'un parcours professionnel
	auteur : Sophie Poulhazan & Marianne JOSEPH
*/
?>
<head>
	<!-- Acces CSS -->
	<link rel="stylesheet" type="text/css" href="/exe//AjoutPP/recherche/css/recherche.css" /> 
	<!-- Acces Javascript -->
	<script src="/js//ajax/autoCompletion_module/autoCompleteur.js" type="text/javascript"></script>
</head>
<body>
	<?php
		//Cr&eacute;ation d'un nouvel objet PDO
		$dbh = new PDO('sqlite:/home/www-test/w_data/sqlite/bagadi.db'); // home/www-test/w_data/sqlite/../../../../w_data/sqlite/bagadi.db

		echo'<br/><fieldset><legend>Ajout d\'un Parcours Professionnel</legend>';

		//Cr&eacute;ation du formulaire
	?>	
		<table>
			<tr><td>Entreprise* : </td><td>
			<!-- Permet la recherche d'une entreprise via une liste qui s'affiche -->
			<label><input type="text" name="rech" id="rech" />
			<div id="rech_update" class="rech_class">
			</div>
			</label>
			<!-- Javascript permettant la recherche en Ajax -->
			<script type="text/javascript">
				new AutoCompleteur('rech', 'rech_update', '/exe//AjoutPP/recherche/traitement_php/rechEntbdd.php', {
					Global: {
						nbrMaxItem: 20, //Une liste de 20 items maximum
						nbrCharsStart: 2, //La recherche ne d&eacute;marre qu'au bout de 2 caract&egrave;res
						classToIgnore: ' '
						},
					Ajax: {
						paramName: 'rech'
					},
					Extra: {
						afterValidate: function (element,updateElement,elementValide,text) {
							if (!elementValide) window.location.href = '?search='+element.value;
							else {	
								req= new XMLHttpRequest();
								req.onreadystatechange=function()
							{
								if(req.readyState == 4 && req.status == 200) {
									document.getElementById("ajout").innerHTML=req.responseText; //Ecriture de la requete dans la div ajout
								}
							}
							req.open("POST","/exe//AjoutPP/ajout_parcourspro_valide.php"); //Ouvrir la page avec des donnees en POST
							req.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
							ele = elementValide.id.split('_')[1]; // Element selectionne
							req.send("idEnt="+ele); // Envoyer les informations en POST
							}
						},
						openEffect: 'blind',
						hideEffect: 'slide'
					}
				});
			</script>
			</td></tr>
		</table><br/>
		<!-- Permet a l ancien d'ajouter une entreprise si celle ci n'exite pas-->

			Inscrire les 2 premiers caract&egrave;res de l'entreprise recherch&eacute;e<br/>
		<a href="/exe//AjoutEntreprises/ajoutEnt.php">Votre Entreprise n'existe pas ? Vous devez la cr&eacute;er avant de rentrer un nouveau parcours professionnel.</a>
		</fieldset>	
		<!-- La div ou s affichera la reponse de la recherche ajax-->
		<div id="ajout"></div>
	<?php
		//Fermeture de la connexion avec la BdD
		$dbh = null;
	?>
</body>
