<?php 
/** 
	Traitement du formulaire d'ajout d'un parcours professionnel
	auteur : Sophie Poulhazan & Marianne JOSEPH
*/
?>
<head>
	<!-- Acces CSS -->
	<link rel="stylesheet" type="text/css" href="/exe//AjoutPP/recherche/css/recherche.css" /> 
	<!-- Acces Javascript -->
	<script src="/js//ajax/autoCompletion_module/autoCompleteur.js" type="text/javascript"></script>
</head>
<body>
	<?php
		//Cr&eacute;ation d'un nouvel objet PDO
		$dbh = new PDO('sqlite:/home/www-test/w_data/sqlite/bagadi.db');
		if(isset ($_POST['valider'])){
			//Recuperation de l id de l entreprise
			$idEnt = $_POST['idEnt'];
			echo'<br/><fieldset><legend>Ajout d\'un Parcours Professionnel</legend>';
			//Cr&eacute;ation d'un formulaire
	?>
	<table><br/>
		<tr><td>Metier : </td><td>
		<label>
		<!-- Permet la recherche d un metier via une liste qui s'affiche -->
		<input type="text" name="rech" id="rech" />
		<div id="rech_update" class="rech_class"></div>
		</label>
		<!-- Javascript permettant la recherche en Ajax -->
		<script type="text/javascript">
			new AutoCompleteur('rech', 'rech_update', '/exe//AjoutPP/recherche/traitement_php/rechMetierbdd.php', {
				Global: {
					nbrMaxItem: 20, //Une liste de 20 items maximum
					nbrCharsStart: 2, //La recherche ne d&eacute;marre qu'au bout de 2 caract&egrave;res
					classToIgnore: ' '
				},
				Ajax: {
					paramName: 'rech'
				},
				Extra: {
					afterValidate: function (element,updateElement,elementValide,text) {
						if (!elementValide) window.location.href = '?search='+element.value;
						else {	
							req= new XMLHttpRequest();
							req.onreadystatechange=function()
							{
								if(req.readyState == 4 && req.status == 200) {
									document.getElementById("ajout").innerHTML=req.responseText; //Ecriture de la requete dans la div ajout
								}
							}
						req.open("POST","/exe//AjoutPP/ajout_parcourspro2_valide.php"); //Ouvrir la page avec des donnees en POST
						req.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
						ele = elementValide.id.split('_')[1]; // Element selectionne
						req.send("idEnt="+<?php echo $idEnt; ?>+"&idMet="+ele); // Envoyer les informations en POST
						}
					},
					openEffect: 'blind',
					hideEffect: 'slide'
				}
			});
		</script>
		</td></tr>
	</table><br/>
	Inscrire les 2 premiers caract&egrave;res du m&eacute;tier recherch&eacute;<br/>
	<!-- Permet a l ancien d'ajouter un metier si celle ci n'exite pas-->
	<a href="/exe//AjoutMetier/ajout_fonction.php">Votre Metier n'existe pas ? Vous devez la cr&eacute;er avant de rentrer un nouveau parcours professionnel.</a>		
	</fieldset><br/>
	<!-- La div ou s affichera la reponse de la recherche ajax-->
	<div id="ajout"></div>
</body>
<?php
	//Fermeture de la connexion avec la BdD
	$dbh = null;	
	}
?>
